
/*
    Gauztris, an ncurses Tetris-like game for consoles
    Copyright (C) 2001 Brian Mastrobuono <gauze@rifug.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/* all possible traditional Tetris shapes. */

const int shapes[19][3][2] = 
			 {{ { 0,1 }
			  , { 1,0 }
			  , { 1,1 } } /* O */
,
			  { { -1,1 }
			  , { -1,0 }  // S1 1
			  , { 0,-1 } }
,
			  { { -1,0 }  // Z1  2
			  , { -1,-1 }
			  , { 0,1 } }
,
			  { { 1,0 }
			  , { -1,0 }
			  , { 2,0 } } // I1	3
,
			  { { 0,1 }
			  , { 0,-1 }
			  , { 1,0 } } // T1	4
,
			  { { -1,1 }
			  , { -1,0 }
			  , { 1,0 } } // J1	5
,
          		  { { 1,0 }
			  , { -1,0 }
			  , { 1,1 } } //L1	6
,
			  { { -1,0 }
			  , { 0,1 }
			  , { 1,1 } } // S2	7
,
			  { { -1,1 }
			  , { 0,1 }
                          , { 1,0 } } // Z2	8
,
			  { { 0,1 }
			  , { 0,2 }
			  , { 0,3 } } // I2	9
,
			  { { 0,1 }
			  , { -1,0 }
			  , { 1,0  } } // T2 	10
,
			  { { 0,-1 }
			  , { -1,0 }
			  , { 0,1 } } // T3	11
,
			  { { 0,-1 }
			  , { -1,0 }
			  , { 1,0 } } // T4	12
,
			  { { 0,1 }
			  , { -1,-1 }
			  , { 0,-1 } } // J2	13
,
			  { { 1,-1 }
			  , { -1,0 } 
			  , { 1,0 } } // J3	14
,
			  { { 0,1 }
			  , { 0,-1 }
			  , { 1,1 } } //J4	15
,
			  { { -1,1 }
			  , { 0,1 }
			  , { 0,-1 } } //L2	16
,
			  { { -1,0 }
			  , { -1,-1 }
			  , { 1,0 } } //L3	17
,
			  { { 0,1 }
			  , { 0,-1 }
			  , { 1,-1 } } }; //L4		18
